#
# Conditional build:
%bcond_without	ocaml_opt	# build opt (native code)

%ifnarch %{ix86} %{x8664} %{arm} aarch64 ppc sparc sparcv9
%undefine	with_ocaml_opt
%endif

%define		_enable_debug_packages	0

Summary:	OCaml functions to manipulate real file (POSIX like) and filename
Summary(pl.UTF-8):	Funkcje OCamla do operacji na (posiksowych) plikach oraz nazwach plików
Name:		ocaml-fileutils
Version:	0.6.3
Release:	2
License:	LGPL v2.1+ with OCaml linking exception
Group:		Libraries
Source0:	https://github.com/gildor478/ocaml-fileutils/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	e6740a32ea1272d54c738d390dab000c
Patch0:		no-stdlib-shims.patch
URL:		http://forge.ocamlcore.org/projects/ocaml-fileutils
BuildRequires:	ocaml >= 3.04-7
BuildRequires:	ocaml-findlib
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Functions to manipulate real file (POSIX like) and filename.

%description -l pl.UTF-8
Funkcje do operacji na (posiksowych) plikach oraz nazwach plików.

%package devel
Summary:	Development files for OCaml fileutils package
Summary(pl.UTF-8):	Pliki programistyczne pakietu fileutils dla OCamla
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq ocaml

%description devel
This package contains libraries and signature files for developing
applications that use OCaml fileutils package.

%description devel -l pl.UTF-8
Ten pakiet zawiera biblioteki i pliki sygnatur do tworzenia aplikacji
wykorzystujących pakiet OCamla fileutils.

%prep
%setup -q
%patch0 -p1

%build
dune build --verbose

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs

dune install --destdir=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.md README.md
%dir %{_libdir}/ocaml/fileutils
%{_libdir}/ocaml/fileutils/META
%dir %{_libdir}/ocaml/fileutils/str
%if %{with ocaml_opt}
%attr(755,root,root) %{_libdir}/ocaml/fileutils/fileutils*.cmxs
%attr(755,root,root) %{_libdir}/ocaml/fileutils/str/*.cmxs
%endif
%{_libdir}/ocaml/fileutils/fileutils*.cma

%files devel
%defattr(644,root,root,755)
%{_libdir}/ocaml/fileutils/*.cmi
%{_libdir}/ocaml/fileutils/*.cmt
%{_libdir}/ocaml/fileutils/*.cmti
%{_libdir}/ocaml/fileutils/*.mli
%if %{with ocaml_opt}
%{_libdir}/ocaml/fileutils/*.cmx
%{_libdir}/ocaml/fileutils/fileutils*.a
%{_libdir}/ocaml/fileutils/fileutils*.cmxa
%{_libdir}/ocaml/fileutils/str/*.cmx
%{_libdir}/ocaml/fileutils/str/*.a
%{_libdir}/ocaml/fileutils/str/*.cmxa
%endif
%{_libdir}/ocaml/fileutils/dune-package
%{_libdir}/ocaml/fileutils/opam
%{_libdir}/ocaml/fileutils/.private
%{_libdir}/ocaml/fileutils/str/*.cmi
%{_libdir}/ocaml/fileutils/str/*.cmt
%{_libdir}/ocaml/fileutils/str/*.cma
%changelog
* Thu Apr 01 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-fileutils.git;a=log;h=master

* Thu Apr 01 2021 Jan Rękorajski <baggins@pld-linux.org> 4176bd2
- do not package empty, unused, dir
- rel 2

* Tue Mar 30 2021 Jan Rękorajski <baggins@pld-linux.org> c75c8ae
- up to 0.6.3

* Sat Jun 10 2017 Jakub Bogusz <qboosh@pld-linux.org> 5e584f6
- updated to 0.5.2

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> 2c8a33d
- rebuild with ocaml 4.04.1
- release 5 (by relup.sh)

* Sat Mar 19 2016 Jan Rękorajski <baggins@pld-linux.org> f1a8c13
- release 4 (by relup.sh)

* Sat Jul 25 2015 Jakub Bogusz <qboosh@pld-linux.org> 68299a8
- reverted base/-devel split (.cmxs and .cma can be loaded dvia dynlink); release 3

* Sat Jul 25 2015 Jan Rękorajski <baggins@pld-linux.org> ac9ac61
- release 2 (by relup.sh)

* Sun Jul 19 2015 Jakub Bogusz <qboosh@pld-linux.org> dd1e140
- updated to 0.5.0

* Sun Jul 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 1b424bb
- everything is devel here, so merge both packages
- release 4

* Mon Apr 06 2015 Jan Rękorajski <baggins@pld-linux.org> 4d420fb
- renamed opt bcond to ocaml_opt
- disable opt on x32
- rel 3

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> 94afb89
- rebuild with ocaml 4.02
- release 2 (by relup.sh)

* Sun Oct 27 2013 Jakub Bogusz <qboosh@pld-linux.org> c564df1
- updated to 0.4.5, pl for -devel

* Sat Aug 31 2013 Elan Ruusamäe <glen@delfi.ee> 9a8297c
- split -devel

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 795ea7a
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> c43535f
- cleanup

* Tue Sep 25 2012 Jakub Bogusz <qboosh@pld-linux.org> bb728fc
- new

